-- Comunic admin
CREATE TABLE `comunic_admin` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `time_create` INT NULL,
  `name` VARCHAR(45) NULL,
  `email` VARCHAR(45) NULL,
  `reset_token` VARCHAR(255) NULL,
  `reset_token_expire` INT NULL,
  PRIMARY KEY (`id`));

CREATE TABLE `comunic_admin_key` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `admin_id` INT NULL,
  `name` VARCHAR(45) NULL,
  `time_add` INT NULL,
  `credential` TEXT NULL,
  `password` VARCHAR(255) NULL,
  PRIMARY KEY (`id`));

CREATE TABLE `comunic_admin_roles` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `admin_id` INT NOT NULL,
  `role_id` VARCHAR(25) NULL,
  `time_insert` INT NULL,
  PRIMARY KEY (`id`));

CREATE TABLE `comunic_admin_log` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `admin_id` INT NULL,
  `ip` VARCHAR(40) NULL,
  `time` INT NULL,
  `action` VARCHAR(255) NULL,
  PRIMARY KEY (`id`));
